/***************************************************************************                                                   *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef DOCKWIDGET_H
#define DOCKWIDGET_H

#include <ksystemtray.h>
#include <kpopupmenu.h>

class DockWidget : public KSystemTray
{
Q_OBJECT
public:
    DockWidget(QWidget *parent=0, const char *name=0);

    ~DockWidget();

    public slots:

    void undock();
    void dock();
    void updateMenu(bool ch);

    signals:

    void trackingChanged();
    void miniRest();

    private:

    bool tracking;
    bool docked;

    protected:

    void paintEvent(QPaintEvent*);
    void mousePressEvent( QMouseEvent *e );

};

#endif
