/***************************************************************************                                                  *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef KYDPCONFIG_H
#define KYDPCONFIG_H

#include <qstring.h>
#include <qvaluelist.h>
#include <qrect.h>
#include <kconfig.h>
#include <kapp.h>

class kydpConfig{
public:
    kydpConfig();

    ~kydpConfig();

    QString cdPathEn, cdPathDe;
    QString topPathEn, topPathDe;
    QString player;
    QString kFontKolor1;
    QString kFontKolor2;
    QString kFontKolor3;
    QString kFontKolor4;
    QString kBckgrndPix;
    bool enableEnglishDict, enableGermanDict;
    bool toPolish, useEnglish;
    QRect geometry;
    QValueList<int> lst;
    bool clipTracking, italicFont, toolTips, autoPlay, minimizeToTray;
    QStringList recentImages;

    void load(void);
    void save(void);
    void setDefaultConfiguration(void);
};

#endif
